%define module  Test-Warn
%define name    perl-%{module}
%define version 0.08
%define release %mkrel 6

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Perl extension to test methods for warnings
License:        GPL or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Test/%{module}-%{version}.tar.bz2
Requires:       perl(Tree::DAG_Node)
%if %{mdkversion} < 1010
BuildRequires:  perl-devel
%endif
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Array::Compare)
BuildRequires:  perl(Tree::DAG_Node)
BuildRequires:  perl(Test::Builder::Tester)
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description 
This module provides a few convenience methods for testing warning based code.

If you are not already familiar with the Test::More manpage now would be the
time to go take a look.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
%make test

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog
* Wed Jul 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2007.0
- spec cleanup
- rpmbuildupdate aware

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.08-5mdk
- fix deps

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.08-4mdk
- fix buildrequires in a backward compatible way

* Mon Nov 01 2004 Michael Scherer <misc@mandrake.org> 0.08-3mdk
- BuildRequires

* Sat Aug 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.08-2mdk 
- fix directory ownership (distlint)

* Mon Mar 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.08-1mdk
- first mdk release
